> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Openai Subscription Device Login

> Poll a ChatGPT device-code sign-in without returning tokens.



## OpenAPI

````yaml /openapi/agent-sdk.json post /api/llm/subscription/openai/device/poll
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/llm/subscription/openai/device/poll:
    post:
      tags:
        - LLM
      summary: Poll Openai Subscription Device Login
      description: Poll a ChatGPT device-code sign-in without returning tokens.
      operationId: >-
        poll_openai_subscription_device_login_api_llm_subscription_openai_device_poll_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionDevicePollRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionStatusResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    SubscriptionDevicePollRequest:
      description: Poll request for a previously-started subscription device login.
      properties:
        device_code:
          title: Device Code
          type: string
      required:
        - device_code
      title: SubscriptionDevicePollRequest
      type: object
    SubscriptionStatusResponse:
      description: Safe subscription authentication status.
      properties:
        account_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Email
        connected:
          title: Connected
          type: boolean
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        vendor:
          default: openai
          title: Vendor
          type: string
      required:
        - connected
      title: SubscriptionStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.